FROM node:alpine AS build
WORKDIR /app
COPY . /app
RUN npm install
RUN npm run build

FROM nginx:mainline-alpine
EXPOSE 80
COPY --from=build /app/dist /usr/share/nginx/html
COPY nginx.conf /etc/nginx/nginx.conf
